## org.apache.catalina.tribes.io
Class BufferPool

    java.lang.Object
      org.apache.catalina.tribes.io.BufferPool

    public class BufferPool

extends java.lang.Object

Version:
  1.0
Author:
  Filip Hanik

Nested Class Summary
`static interface` `BufferPool.BufferPoolAPI`

Field Summary
`static int` `DEFAULT_POOL_SIZE`
`protected static BufferPool` `instance`
`protected static Log` `log`
`protected BufferPool.BufferPoolAPI` `pool`

Method Summary
`void` `clear()`
`XByteBuffer` `getBuffer(int minSize, boolean discard)`
`static BufferPool` `getBufferPool()`
`void` `returnBuffer(XByteBuffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

### DEFAULT_POOL_SIZE

    public static int DEFAULT_POOL_SIZE

### instance

    protected static volatile BufferPool instance

### pool

    protected BufferPool.BufferPoolAPI pool

Method Detail

### getBuffer

    public XByteBuffer getBuffer(int minSize,
                                 boolean discard)

### returnBuffer

    public void returnBuffer(XByteBuffer buffer)

### clear

    public void clear()

### getBufferPool

    public static BufferPool getBufferPool()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.